Adds values to the end of the vector

- « Ds\Vector::pop

- Ds\Vector::reduce »

- PHP Manual
- Ds\Vector
- Adds values to the end of the vector

# Ds\Vector::push

(PECL ds >= 1.0.0)

Ds\Vector::push — Adds values to the end of the vector

### Description

public Ds\Vector::push(mixed `...$values`): void

Adds values to the end of the vector.

### Parameters

`values`

  The values to add.

### Return Values

No value is returned.

### Examples

Example #1 Ds\Vector::push() example

    <?php$vector = new \Ds\Vector();$vector->push("a");$vector->push("b");$vector->push("c", "d");$vector->push(...["e", "f"]);print_r($vector);?>

The above example will output something similar to:

    Ds\Vector Object
    (
        [0] => a
        [1] => b
        [2] => c
        [3] => d
        [4] => e
        [5] => f
    )